* PACKAGE GINTF  !" GTOOL 実数精度変換インターフェース
*
*"  [HIS] 92/08/17(takepiro)
*
******************************************************************
*
      SUBROUTINE GFBRED
     O            ( HHEAD , GDATA , IEOD  ,
     I              IFILE , MODE               )
*
#ifdef SYS_IBMS
      INCLUDE    (GTSINC)
      INCLUDE    (GZSIZE)
#else
#include         "gtsinc.F"
#include         "gzsize.F"
#endif
*
      CHARACTER  HHEAD ( NDC )*(NCC)
      REAL       GDATA ( * )
      CHARACTER  HDFMTI  *(NCC)              !" データフォーマット
*
      REAL * 8   DDATA ( IJKDIM )
      REAL * 4   SDATA ( IJKDIM )
      EQUIVALENCE (DDATA,SDATA)
*
*
         CALL GFREAD
     O            ( HHEAD , DDATA , IEOD  ,
     I              IFILE , MODE               )
*
      IF ( IEOD .EQ. 0 ) THEN
*
*" << CNVDBL : 精度変換 >>
*
         CALL GHCGET ( HHEAD, 'DFMT',  HDFMTI )
         CALL GUQTSZ ( HHEAD, IJKSIZ )
*
         IF ( HDFMTI .EQ. 'UR8' ) THEN
            DO 1110 IJK = 1, IJKSIZ
                  GDATA( IJK ) = DDATA( IJK )
 1110       CONTINUE
         ELSE
            DO 1120 IJK = 1, IJKSIZ
                  GDATA( IJK ) = SDATA( IJK )
*                            equiv DDATA
 1120       CONTINUE
         ENDIF
      ENDIF
*
      RETURN
      END

